import { useMain as useReasoningMain } from '@/views/modelReasoning/index/services/reasoning.ts'
import { useMain as usePerformanceMain } from '@/views/modelReasoning/index/services/performance.ts'



export const useMain = () => {

  const reasoningServices = useReasoningMain()
  const performanceServices = usePerformanceMain()
  const modelReasoningServices = {
    common: {}, // 公共状态模块
    reasoning: reasoningServices, // 推理
    performance: performanceServices // 性能相关模块
  }

  return {
    modelReasoningServices,
  }
}
